<?php
/**
 * Created by Proxy-Spider http://proxy-spider.com
 * Version 0.1
 */

require_once 'ProxySpider/ProxySpiderApiLoader.php';
require_once 'ProxySpider/ProxySpiderApiResponse.php';
require_once 'ProxySpider/ProxySpiderApi.php';

$api = new \ProxySpiderApi\ProxySpiderApi();
$request = $api
    ->setApiKey('YOUR API KEY')
    ->setLimit(10)
    ->setPage(1)
    ->setOrder(\ProxySpiderApi\ProxySpiderApi::ORDER_BEST)
    ->setProtocol(array(
        \ProxySpiderApi\ProxySpiderApi::PROTOCOL_HTTP,
        \ProxySpiderApi\ProxySpiderApi::PROTOCOL_HTTPS,
    ))
    ->setSupport(array(
        \ProxySpiderApi\ProxySpiderApi::SUPPORT_GET,
        \ProxySpiderApi\ProxySpiderApi::SUPPORT_REFERER,
    ))
    ->setProxyType(array(
        \ProxySpiderApi\ProxySpiderApi::PROXY_TYPE_ELITE
    ))
    ->setResponseTime(array(
        \ProxySpiderApi\ProxySpiderApi::RESPONSE_TIME_FAST,
        \ProxySpiderApi\ProxySpiderApi::RESPONSE_TIME_MEDIUM,
    ))
    ->setCountryCode(array('US', 'RU', 'CA'))
    ->setTest(0);


echo '<pre>';
echo $request->getRequest() . PHP_EOL;

$response = $request->callApi();

if ($response->haveError()) {
    echo $response->getMessage();
    die;
}

echo 'Page 1' . PHP_EOL;
foreach ($response->getProxies() as $proxy) {
    echo $proxy->ip . ':' . $proxy->port . PHP_EOL;
}

if ($response->getHasNextPage()) {
    $request->setPage(2);
    $response = $request->callApi();
}

echo 'Page 2' . PHP_EOL;
if ($response->haveError()) {
    echo $response->getMessage();
    die;
}

foreach ($response->getProxies() as $proxy) {
    echo $proxy->ip . ':' . $proxy->port . PHP_EOL;
}